| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ItemDelegateOverlayContainer Class Referenceabstract
Inheritance diagram for Digikam::ItemDelegateOverlayContainer:

## Public Member Functions
| ItemDelegateOverlayContainer ()=default
| This is a sample implementation for delegate management methods, to be inherited by a delegate.
void | installOverlay (ItemDelegateOverlay *overlay)
void | mouseMoved (QMouseEvent *e, const QRect &visualRect, const QModelIndex &index)
QList< ItemDelegateOverlay * > | overlays () const
void | removeAllOverlays ()
void | removeOverlay (ItemDelegateOverlay *overlay)
void | setAllOverlaysActive (bool active)
void | setViewOnAllOverlays (QAbstractItemView *view)

## Protected Member Functions
virtual QAbstractItemDelegate * | asDelegate ()=0
virtual void | drawOverlays (QPainter *p, const QStyleOptionViewItem &option, const QModelIndex &index) const
virtual void | overlayDestroyed (QObject *o)
| Declare as slot in the derived class calling this method.

## Protected Attributes
QList< ItemDelegateOverlay * > | m_overlays

## Constructor & Destructor Documentation

## ◆ ItemDelegateOverlayContainer()

Digikam::ItemDelegateOverlayContainer::ItemDelegateOverlayContainer | ( |  | ) |
| default

Does not inherit QObject, the delegate already does.

## Member Function Documentation

## ◆ asDelegate()

virtual QAbstractItemDelegate * Digikam::ItemDelegateOverlayContainer::asDelegate | ( |  | ) |
| protected pure virtual

Returns
  the delegate, typically, the derived class

Implemented in Digikam::VersionsDelegate, Digikam::ItemViewDelegate, ShowFoto::ShowfotoItemViewDelegate, and Digikam::ItemViewImportDelegate.